org.apache.xmlbeans.impl.schema

## Class TypeSystemHolder

- java.lang.Object
- - org.apache.xmlbeans.impl.schema.SchemaTypeLoaderBase
  - - org.apache.xmlbeans.impl.schema.SchemaTypeSystemImpl
    - - org.apache.xmlbeans.impl.schema.TypeSystemHolder

- All Implemented Interfaces:
    SchemaTypeLoader, SchemaTypeSystem

      public final class TypeSystemHolder
      extends SchemaTypeSystemImpl

  This class is the hook which causes the SchemaTypeSystem to be loaded when a generated class is used. It isn't used by the runtime directly, instead this class is used by the schema compiler as a template class. By using a template class, the SchemaTypeSystemImpl can create all the binary files required without needing to rely on javac. The generated source still requires a java compiler.
  See Also:
    `SchemaTypeSystemImpl.save(org.apache.xmlbeans.Filer)`

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static TypeSystemHolder` | `typeSystem`

    - ### Fields inherited from class org.apache.xmlbeans.impl.schema.SchemaTypeSystemImpl

      `DATA_BABE, FIELD_GLOBAL, FIELD_LOCALATTR, FIELD_LOCALELT, FIELD_NONE, FILETYPE_SCHEMAATTRIBUTE, FILETYPE_SCHEMAATTRIBUTEGROUP, FILETYPE_SCHEMAELEMENT, FILETYPE_SCHEMAIDENTITYCONSTRAINT, FILETYPE_SCHEMAINDEX, FILETYPE_SCHEMAMODELGROUP, FILETYPE_SCHEMAPOINTER, FILETYPE_SCHEMATYPE, FLAG_PART_ABSTRACT, FLAG_PART_BLOCKEXT, FLAG_PART_BLOCKREST, FLAG_PART_BLOCKSUBST, FLAG_PART_FINALEXT, FLAG_PART_FINALREST, FLAG_PART_FIXED, FLAG_PART_NILLABLE, FLAG_PART_SKIPPABLE, FLAG_PROP_ISATTR, FLAG_PROP_JAVAARRAY, FLAG_PROP_JAVAOPTIONAL, FLAG_PROP_JAVASINGLETON, MAJOR_VERSION, METADATA_PACKAGE_GEN, MINOR_VERSION, RELEASE_NUMBER`

  - ### Method Summary

    - ### Methods inherited from class org.apache.xmlbeans.impl.schema.SchemaTypeSystemImpl

      `annotations, attributeGroups, attributeTypes, crackPointer, documentTypes, findAttributeGroupRef, findAttributeRef, findAttributeTypeRef, findDocumentTypeRef, findElementRef, findIdentityConstraintRef, findModelGroupRef, findTypeRef, forName, getClassLoader, getMetadataPath, getName, getSourceAsStream, globalAttributes, globalElements, globalTypes, handleForType, identityConstraints, isIncomplete, isNamespaceDefined, loadFromStscState, modelGroups, redefinedAttributeGroups, redefinedGlobalTypes, redefinedModelGroups, resolve, resolveHandle, save, saveAttributeGroup, saveAttributeGroups, saveGlobalAttribute, saveGlobalAttributes, saveGlobalElement, saveGlobalElements, saveIdentityConstraint, saveIdentityConstraints, saveModelGroup, saveModelGroups, saveToDirectory, typeForClassname, typeForHandle`

    - ### Methods inherited from class org.apache.xmlbeans.impl.schema.SchemaTypeLoaderBase

      `compilePath, compilePath, compileQuery, compileQuery, findAttribute, findAttributeGroup, findAttributeType, findDocumentType, findElement, findModelGroup, findType, newDomImplementation, newInstance, newXmlSaxHandler, parse, parse, parse, parse, parse, parse, parse, typeForSignature`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.apache.xmlbeans.SchemaTypeLoader

      `compilePath, compileQuery, findAttribute, findAttributeGroup, findAttributeType, findDocumentType, findElement, findModelGroup, findType, newDomImplementation, newInstance, newXmlSaxHandler, parse, parse, parse, parse, parse, parse, parse, typeForSignature`

- - ### Field Detail

    - #### typeSystem

          public static final TypeSystemHolder typeSystem